Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network233.76.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
233.76.0.0
Broadcast address
233.79.255.255
First usable
233.76.0.1
Last usable
233.79.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E94C0000 · Integer 3914072064 to 3914334207
Reverse DNS zones
76.233.in-addr.arpa
77.233.in-addr.arpa
78.233.in-addr.arpa
79.233.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101001.01001100.00000000.00000000233.76.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network11101001.01001100.00000000.00000000233.76.0.0
Broadcast11101001.01001111.11111111.11111111233.79.255.255
Split into smaller subnets/21

233.76.0.0/14 makes 128 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1233.76.0.0/21233.76.0.1 to 233.76.7.254233.76.7.2552,046
2233.76.8.0/21233.76.8.1 to 233.76.15.254233.76.15.2552,046
3233.76.16.0/21233.76.16.1 to 233.76.23.254233.76.23.2552,046
4233.76.24.0/21233.76.24.1 to 233.76.31.254233.76.31.2552,046
5233.76.32.0/21233.76.32.1 to 233.76.39.254233.76.39.2552,046
6233.76.40.0/21233.76.40.1 to 233.76.47.254233.76.47.2552,046
7233.76.48.0/21233.76.48.1 to 233.76.55.254233.76.55.2552,046
8233.76.56.0/21233.76.56.1 to 233.76.63.254233.76.63.2552,046
9233.76.64.0/21233.76.64.1 to 233.76.71.254233.76.71.2552,046
10233.76.72.0/21233.76.72.1 to 233.76.79.254233.76.79.2552,046
11233.76.80.0/21233.76.80.1 to 233.76.87.254233.76.87.2552,046
12233.76.88.0/21233.76.88.1 to 233.76.95.254233.76.95.2552,046
13233.76.96.0/21233.76.96.1 to 233.76.103.254233.76.103.2552,046
14233.76.104.0/21233.76.104.1 to 233.76.111.254233.76.111.2552,046
15233.76.112.0/21233.76.112.1 to 233.76.119.254233.76.119.2552,046
16233.76.120.0/21233.76.120.1 to 233.76.127.254233.76.127.2552,046
17233.76.128.0/21233.76.128.1 to 233.76.135.254233.76.135.2552,046
18233.76.136.0/21233.76.136.1 to 233.76.143.254233.76.143.2552,046
19233.76.144.0/21233.76.144.1 to 233.76.151.254233.76.151.2552,046
20233.76.152.0/21233.76.152.1 to 233.76.159.254233.76.159.2552,046
21233.76.160.0/21233.76.160.1 to 233.76.167.254233.76.167.2552,046
22233.76.168.0/21233.76.168.1 to 233.76.175.254233.76.175.2552,046
23233.76.176.0/21233.76.176.1 to 233.76.183.254233.76.183.2552,046
24233.76.184.0/21233.76.184.1 to 233.76.191.254233.76.191.2552,046
25233.76.192.0/21233.76.192.1 to 233.76.199.254233.76.199.2552,046
26233.76.200.0/21233.76.200.1 to 233.76.207.254233.76.207.2552,046
27233.76.208.0/21233.76.208.1 to 233.76.215.254233.76.215.2552,046
28233.76.216.0/21233.76.216.1 to 233.76.223.254233.76.223.2552,046
29233.76.224.0/21233.76.224.1 to 233.76.231.254233.76.231.2552,046
30233.76.232.0/21233.76.232.1 to 233.76.239.254233.76.239.2552,046
31233.76.240.0/21233.76.240.1 to 233.76.247.254233.76.247.2552,046
32233.76.248.0/21233.76.248.1 to 233.76.255.254233.76.255.2552,046
33233.77.0.0/21233.77.0.1 to 233.77.7.254233.77.7.2552,046
34233.77.8.0/21233.77.8.1 to 233.77.15.254233.77.15.2552,046
35233.77.16.0/21233.77.16.1 to 233.77.23.254233.77.23.2552,046
36233.77.24.0/21233.77.24.1 to 233.77.31.254233.77.31.2552,046
37233.77.32.0/21233.77.32.1 to 233.77.39.254233.77.39.2552,046
38233.77.40.0/21233.77.40.1 to 233.77.47.254233.77.47.2552,046
39233.77.48.0/21233.77.48.1 to 233.77.55.254233.77.55.2552,046
40233.77.56.0/21233.77.56.1 to 233.77.63.254233.77.63.2552,046
41233.77.64.0/21233.77.64.1 to 233.77.71.254233.77.71.2552,046
42233.77.72.0/21233.77.72.1 to 233.77.79.254233.77.79.2552,046
43233.77.80.0/21233.77.80.1 to 233.77.87.254233.77.87.2552,046
44233.77.88.0/21233.77.88.1 to 233.77.95.254233.77.95.2552,046
45233.77.96.0/21233.77.96.1 to 233.77.103.254233.77.103.2552,046
46233.77.104.0/21233.77.104.1 to 233.77.111.254233.77.111.2552,046
47233.77.112.0/21233.77.112.1 to 233.77.119.254233.77.119.2552,046
48233.77.120.0/21233.77.120.1 to 233.77.127.254233.77.127.2552,046
49233.77.128.0/21233.77.128.1 to 233.77.135.254233.77.135.2552,046
50233.77.136.0/21233.77.136.1 to 233.77.143.254233.77.143.2552,046
51233.77.144.0/21233.77.144.1 to 233.77.151.254233.77.151.2552,046
52233.77.152.0/21233.77.152.1 to 233.77.159.254233.77.159.2552,046
53233.77.160.0/21233.77.160.1 to 233.77.167.254233.77.167.2552,046
54233.77.168.0/21233.77.168.1 to 233.77.175.254233.77.175.2552,046
55233.77.176.0/21233.77.176.1 to 233.77.183.254233.77.183.2552,046
56233.77.184.0/21233.77.184.1 to 233.77.191.254233.77.191.2552,046
57233.77.192.0/21233.77.192.1 to 233.77.199.254233.77.199.2552,046
58233.77.200.0/21233.77.200.1 to 233.77.207.254233.77.207.2552,046
59233.77.208.0/21233.77.208.1 to 233.77.215.254233.77.215.2552,046
60233.77.216.0/21233.77.216.1 to 233.77.223.254233.77.223.2552,046
61233.77.224.0/21233.77.224.1 to 233.77.231.254233.77.231.2552,046
62233.77.232.0/21233.77.232.1 to 233.77.239.254233.77.239.2552,046
63233.77.240.0/21233.77.240.1 to 233.77.247.254233.77.247.2552,046
64233.77.248.0/21233.77.248.1 to 233.77.255.254233.77.255.2552,046
65233.78.0.0/21233.78.0.1 to 233.78.7.254233.78.7.2552,046
66233.78.8.0/21233.78.8.1 to 233.78.15.254233.78.15.2552,046
67233.78.16.0/21233.78.16.1 to 233.78.23.254233.78.23.2552,046
68233.78.24.0/21233.78.24.1 to 233.78.31.254233.78.31.2552,046
69233.78.32.0/21233.78.32.1 to 233.78.39.254233.78.39.2552,046
70233.78.40.0/21233.78.40.1 to 233.78.47.254233.78.47.2552,046
71233.78.48.0/21233.78.48.1 to 233.78.55.254233.78.55.2552,046
72233.78.56.0/21233.78.56.1 to 233.78.63.254233.78.63.2552,046
73233.78.64.0/21233.78.64.1 to 233.78.71.254233.78.71.2552,046
74233.78.72.0/21233.78.72.1 to 233.78.79.254233.78.79.2552,046
75233.78.80.0/21233.78.80.1 to 233.78.87.254233.78.87.2552,046
76233.78.88.0/21233.78.88.1 to 233.78.95.254233.78.95.2552,046
77233.78.96.0/21233.78.96.1 to 233.78.103.254233.78.103.2552,046
78233.78.104.0/21233.78.104.1 to 233.78.111.254233.78.111.2552,046
79233.78.112.0/21233.78.112.1 to 233.78.119.254233.78.119.2552,046
80233.78.120.0/21233.78.120.1 to 233.78.127.254233.78.127.2552,046
81233.78.128.0/21233.78.128.1 to 233.78.135.254233.78.135.2552,046
82233.78.136.0/21233.78.136.1 to 233.78.143.254233.78.143.2552,046
83233.78.144.0/21233.78.144.1 to 233.78.151.254233.78.151.2552,046
84233.78.152.0/21233.78.152.1 to 233.78.159.254233.78.159.2552,046
85233.78.160.0/21233.78.160.1 to 233.78.167.254233.78.167.2552,046
86233.78.168.0/21233.78.168.1 to 233.78.175.254233.78.175.2552,046
87233.78.176.0/21233.78.176.1 to 233.78.183.254233.78.183.2552,046
88233.78.184.0/21233.78.184.1 to 233.78.191.254233.78.191.2552,046
89233.78.192.0/21233.78.192.1 to 233.78.199.254233.78.199.2552,046
90233.78.200.0/21233.78.200.1 to 233.78.207.254233.78.207.2552,046
91233.78.208.0/21233.78.208.1 to 233.78.215.254233.78.215.2552,046
92233.78.216.0/21233.78.216.1 to 233.78.223.254233.78.223.2552,046
93233.78.224.0/21233.78.224.1 to 233.78.231.254233.78.231.2552,046
94233.78.232.0/21233.78.232.1 to 233.78.239.254233.78.239.2552,046
95233.78.240.0/21233.78.240.1 to 233.78.247.254233.78.247.2552,046
96233.78.248.0/21233.78.248.1 to 233.78.255.254233.78.255.2552,046
97233.79.0.0/21233.79.0.1 to 233.79.7.254233.79.7.2552,046
98233.79.8.0/21233.79.8.1 to 233.79.15.254233.79.15.2552,046
99233.79.16.0/21233.79.16.1 to 233.79.23.254233.79.23.2552,046
100233.79.24.0/21233.79.24.1 to 233.79.31.254233.79.31.2552,046
101233.79.32.0/21233.79.32.1 to 233.79.39.254233.79.39.2552,046
102233.79.40.0/21233.79.40.1 to 233.79.47.254233.79.47.2552,046
103233.79.48.0/21233.79.48.1 to 233.79.55.254233.79.55.2552,046
104233.79.56.0/21233.79.56.1 to 233.79.63.254233.79.63.2552,046
105233.79.64.0/21233.79.64.1 to 233.79.71.254233.79.71.2552,046
106233.79.72.0/21233.79.72.1 to 233.79.79.254233.79.79.2552,046
107233.79.80.0/21233.79.80.1 to 233.79.87.254233.79.87.2552,046
108233.79.88.0/21233.79.88.1 to 233.79.95.254233.79.95.2552,046
109233.79.96.0/21233.79.96.1 to 233.79.103.254233.79.103.2552,046
110233.79.104.0/21233.79.104.1 to 233.79.111.254233.79.111.2552,046
111233.79.112.0/21233.79.112.1 to 233.79.119.254233.79.119.2552,046
112233.79.120.0/21233.79.120.1 to 233.79.127.254233.79.127.2552,046
113233.79.128.0/21233.79.128.1 to 233.79.135.254233.79.135.2552,046
114233.79.136.0/21233.79.136.1 to 233.79.143.254233.79.143.2552,046
115233.79.144.0/21233.79.144.1 to 233.79.151.254233.79.151.2552,046
116233.79.152.0/21233.79.152.1 to 233.79.159.254233.79.159.2552,046
117233.79.160.0/21233.79.160.1 to 233.79.167.254233.79.167.2552,046
118233.79.168.0/21233.79.168.1 to 233.79.175.254233.79.175.2552,046
119233.79.176.0/21233.79.176.1 to 233.79.183.254233.79.183.2552,046
120233.79.184.0/21233.79.184.1 to 233.79.191.254233.79.191.2552,046
121233.79.192.0/21233.79.192.1 to 233.79.199.254233.79.199.2552,046
122233.79.200.0/21233.79.200.1 to 233.79.207.254233.79.207.2552,046
123233.79.208.0/21233.79.208.1 to 233.79.215.254233.79.215.2552,046
124233.79.216.0/21233.79.216.1 to 233.79.223.254233.79.223.2552,046
125233.79.224.0/21233.79.224.1 to 233.79.231.254233.79.231.2552,046
126233.79.232.0/21233.79.232.1 to 233.79.239.254233.79.239.2552,046
127233.79.240.0/21233.79.240.1 to 233.79.247.254233.79.247.2552,046
128233.79.248.0/21233.79.248.1 to 233.79.255.254233.79.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses